import java.net.*;
import java.io.*;
//import java.lang.reflect.*;


class UpdateServer {

    int serverPort = 8989;
    ServerSocket serverSocket = null;
    Socket socket = null;
    BufferedReader is = null;
    

    public UpdateServer() {
        // Setup our host socket
        try {
            serverSocket = new ServerSocket(serverPort);
            System.out.println("Waiting Connection");
            socket = serverSocket.accept();
            is = new BufferedReader(new InputStreamReader
                                    (socket.getInputStream()));
        } catch (IOException e) {
            e.printStackTrace();
        }
        
        
        // Read & Write
        String s = null;
        try {
            while((s = is.readLine()) != null) {
                System.out.println(s);
            }
        } catch(IOException io) {
            io.printStackTrace();
        }
        
        try {
            socket.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public static void main(String args[]) {
        new UpdateServer();
    }
}
