#! /bin/bash
#  This file sets up the environment for UNIX based systems
echo -n "Setting up Q3ServerKit environment..."


export PROJECT=q3

###########################################################
#  You need to edit this next line
#  set PROJECT_ROOT to be the base of the q3 directory
#  example:  /home/username/q3 or /home/username/${PROJECT}
#            or ${HOME}/${PROJECT}
###########################################################
export PROJECT_ROOT=/usr/code/${PROJECT}


export LIB=${PROJECT_ROOT}/lib
export CLASSDIR=${PROJECT_ROOT}/class
export CODEDIR=${PROJECT_ROOT}/code


###########################################################
#  You need to edit this next line
#  set JAVA_HOME to the top level directory of the JDK 
#  which you are using...
###########################################################
export JAVA_HOME=/opt/java/jdk1.2.2
	

# JAVA
# with a JDK before 1.2 this variable will need to be changed to
# point to the correct path to classes.zip
export PATH=${PATH}:${JAVA_HOME}/bin

# DEVELOP
export CLASSPATH=${CLASSPATH}:${CLASSDIR}
export CLASSPATH=${CLASSPATH}:${CODEDIR}

echo "done."